Admins - Anomalie #1031

Probléme de certificats sur certains sites
11/18/2012 05:37 PM - Vincent-Xavier JUMEL

Status: Rejeté Start date: 11/18/2012
Priority: Normale Due date:

Assignee: Nicolas Vinot % Done: 20%
Category: Task Estimated time: 0.00 hour
Target version: Backlog Spent time: 0.00 hour
Difficulté: 2 Facile

Description

Le probléme a été rapporté par un nouvel adhérent, ainsi que par Frangois Poulain. Ci-joint des copies de ce que le site renvoie. Il
s'agit de la sortie des commandes suivantes :

® openssl s_client -connect agir.april.org:443 > agir.april.org_certificat_ok
e openssl s_client -connect adherents.april.org:443 > adherents.april.org_certificat_bad

Related issues:
Related to Admins - Anomalie #991: Autoriser les connexions au wiki admin san... Fermé 11/03/2012

History

#1 - 11/18/2012 06:00 PM - Nicolas Vinot

J'ai trouvé l'origine du probléme.

Pour mettre le dokuwiki hors tunnel SSH, je I'ai mis avec du SSL strong-auth.
Soucis, tous les autres vhosts nginx n'utilisent pas SNI
Du coup c'est le certificat du doku qui est présenté...

J'ai désactivé le doku le temps de trouver une alternative.
#2 - 11/18/2012 07:11 PM - Loic Dachary

- Category changed from Story to Task

- Status changed from Nouveau to Confirmé

- Assignee set to Nicolas Vinot

- Priority changed from Elevée to Normale

- % Done changed from 0 to 20

Pourrais-tu donner des précisions sur la machine + fichier que tu as modifié pour retablir le fonctionnement normal ? Idealement le diff correspondant
?

#3 - 11/18/2012 07:24 PM - Nicolas Vinot
J'ai juste désactiver admin.april.lan sur nginx@ns1
La ligne en question est
ssl_certificate /etc/ssl/pki/lan.april.www.crt

qui prend précédence sur tout le reste parce que les autres vhosts ssl ne définissent pas de certificats (obligatoire pour SNI).

#4 - 09/29/2016 04:05 PM - Benjamin Drieu
- Description updated

- Status changed from Confirmé to Rejeté
Le Sl actuel ne contient plus cette erreur.
http://nginx.org/en/docs/http/configuring_https_servers.html#sni
